AurionAI Docs

List Kb Articles V2

GET
/api/v2/kb/articles

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

locale?|null
status?string|null
collection_id?string|null
tag?|null
search?string|null
limit?Limit
Default50
Range1 <= value <= 100
offset?Offset
Default0
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/kb/articles"
{
  "items": [
    {
      "author_id": "string",
      "body_html": "string",
      "body_json": {},
      "body_text": "string",
      "collection_id": "string",
      "collection_name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "expires_at": "2019-08-24T14:15:22Z",
      "helpful_count": 0,
      "id": "string",
      "locale": "en",
      "not_helpful_count": 0,
      "published_at": "2019-08-24T14:15:22Z",
      "published_version_id": "string",
      "reviewed_at": "2019-08-24T14:15:22Z",
      "reviewer_id": "string",
      "scheduled_publish_at": "2019-08-24T14:15:22Z",
      "slug": "string",
      "status": "string",
      "tags": [
        "string"
      ],
      "title": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "version": 1,
      "view_count": 0
    }
  ],
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}